gr::satellites::ao40_syncframe_soft_impl Class Reference

`#include <ao40_syncframe_soft_impl.h>`

Inheritance diagram for gr::satellites::ao40_syncframe_soft_impl:
[legend]

## Public Member Functions

| ao40_syncframe_soft_impl (int threshold)
| ~ao40_syncframe_soft_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::satellites::ao40_syncframe_soft
typedef boost::shared_ptr< ao40_syncframe_soft > | sptr
Static Public Member Functions inherited from gr::satellites::ao40_syncframe_soft
static sptr | make (int threshold)
| Return a shared_ptr to a new instance of satellites::syncframe_soft. More...

## Constructor & Destructor Documentation

## ao40_syncframe_soft_impl()

gr::satellites::ao40_syncframe_soft_impl::ao40_syncframe_soft_impl | ( | int | threshold | ) |

## ~ao40_syncframe_soft_impl()

gr::satellites::ao40_syncframe_soft_impl::~ao40_syncframe_soft_impl | ( |  | ) |

## Member Function Documentation

## work()

int gr::satellites::ao40_syncframe_soft_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- ao40_syncframe_soft_impl.h